> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/redness-algorithm.md).

# Redness Algorithm

What the Redness Algorithm measures, the metrics it returns, and how the colour tone of the lighting affects the reading.

## About Algorithm

{% hint style="warning" %}
**Disclaimer about natural skin behaviour that might affect results stability:**

Skin redness is a skin health parameter, that may vary a lot during the day and change very quickly due to the natural properties of the skin.
{% endhint %}

{% hint style="warning" %}
**Disclaimer about algorithm sensitivity**:

The Redness Algorithm is sensitive to the colour tone of illumination.

The incorrect intensity of the light (light different significantly from white light) may lead to incorrect (insufficient or extreme) estimation of the redness amount
{% endhint %}

1. This Algorithm estimates the visible presence and intensity of the increased overall skin redness or local irritation spots on the face, caused by any of the reasons including allergic reactions, inflammatory processes, and environmental factors.
2. This Algorithm estimates indicated skin health parameters on: forehead, right cheek, left cheek, and nose areas.
3. The Main Metric for this Algorithm is the Redness Score, with a range from 0 to 100.
   1. Values from 80 to 100 are considered as skin with no visible signs of increased redness or local irritation. It is worth noticing that for some people (especially among the Fitzpatrick phenotype groups 1 and 2) this situation might mean insufficient blood flow to the skin, causing it to look very pale.
   2. Values from 50 to 70 are considered as a relatively good skin condition.
   3. Values below 50 are considered as an alerting skin condition, that might require specialist attention.
   4. Redness Score is a non-linear combination of the Submetrics.
4. There are several Submetrics for this Algorithm:
   * Redness Local Score - the degree of local rednesses (blood vessels, irritation, etc.).
   * Redness Global Score - the overall increase in skin area redness.

***

## Algorithm API

{% hint style="warning" %}
API access is available only for <mark style="color:purple;">**Professional**</mark> plan clients
{% endhint %}

See [Redness Result Scheme](/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/redness.md).

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/redness-algorithm.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
